From 4fd76735fe0ec5bd7a3609964b5b0e3943b7be7a Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Thu, 21 Oct 2021 05:18:12 +0000
Subject: [PATCH v1] add "vcregress taptest" and mention about Windows on
 regression tests page

This patch adds missing "vcregress taptest" command usage in the
Winodws docs. Also, adds a reference to Windows regression tests
on the main regression tests page.
---
 doc/src/sgml/install-windows.sgml | 18 +++++++++++++-----
 doc/src/sgml/regress.sgml         | 12 ++++++++++++
 2 files changed, 25 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/install-windows.sgml b/doc/src/sgml/install-windows.sgml
index ba794b8c93..8ccae653b6 100644
--- a/doc/src/sgml/install-windows.sgml
+++ b/doc/src/sgml/install-windows.sgml
@@ -158,7 +158,7 @@ $ENV{MSBFLAGS}="/m";
 </programlisting>
  </para>
 
- <sect2>
+ <sect2 id="install-windows-requirements">
   <title>Requirements</title>
   <para>
    The following additional products are required to build
@@ -344,7 +344,7 @@ $ENV{MSBFLAGS}="/m";
   </para>
  </sect2>
 
- <sect2>
+ <sect2 id="install-windows-considerations">
   <title>Special Considerations for 64-Bit Windows</title>
 
   <para>
@@ -369,7 +369,7 @@ $ENV{MSBFLAGS}="/m";
   </para>
  </sect2>
 
- <sect2>
+ <sect2 id="install-windows-build">
   <title>Building</title>
 
   <para>
@@ -406,7 +406,7 @@ $ENV{CONFIG}="Debug";
   </para>
  </sect2>
 
- <sect2>
+ <sect2 id="install-windows-clean-and-install">
   <title>Cleaning and Installing</title>
 
   <para>
@@ -439,7 +439,7 @@ $ENV{CONFIG}="Debug";
   </para>
  </sect2>
 
- <sect2>
+ <sect2 id="install-windows-regression-tests">
   <title>Running the Regression Tests</title>
 
   <para>
@@ -461,6 +461,14 @@ $ENV{CONFIG}="Debug";
 <userinput>vcregress bincheck</userinput>
 <userinput>vcregress recoverycheck</userinput>
 <userinput>vcregress upgradecheck</userinput>
+</screen>
+
+   To run an arbitrary TAP test set, run <command>vcregress taptest</command>
+   comamnd. For example, use the following command for running subcription TAP
+   tests:
+
+<screen>
+<userinput>vcregress taptest src/test/subscription</userinput>
 </screen>
 
    To change the schedule used (default is parallel), append it to the
diff --git a/doc/src/sgml/regress.sgml b/doc/src/sgml/regress.sgml
index 724ef566e7..fac82d1237 100644
--- a/doc/src/sgml/regress.sgml
+++ b/doc/src/sgml/regress.sgml
@@ -437,6 +437,18 @@ make standbycheck
    to allow the behavior of the standby to be tested.
   </para>
   </sect2>
+
+  <sect2>
+   <title>Running the Tests on <productname>Windows</productname></title>
+   
+  <para>
+   The regression tests can be run against an already installed and running
+   server or using a temporary installation within the build tree on
+   <productname>Windows</productname>. See <xref linkend="install-windows-regression-tests"/>
+   for more information.
+  </para>
+  </sect2>
+
   </sect1>
 
   <sect1 id="regress-evaluation">
-- 
2.25.1

